package fable.framework.writer;

@SuppressWarnings("serial")
public class XmlwriterException extends Exception {
	@SuppressWarnings("unused")
	private int id; // a unique id
	  @SuppressWarnings("unused")
	private String classname; // the name of the class
	  @SuppressWarnings("unused")
	private String method; // the name of the method
	  private String message; // a detailed message 
	/**
	 * @param id
	 * @param classname
	 * @param method
	 * @param message
	 */
	public XmlwriterException(int id, String classname, String method,
			String message) {
		super();
		this.id = id;
		this.classname = classname;
		this.method = method;
		this.message = message;
		
		
	}
	@Override
	public String getMessage() {
		
		return message;
	}
	
}
